> For the complete documentation index, see [llms.txt](https://docs.guardianservice.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guardianservice.app/technical-information/users/standard-registry-users-schemas-and-policies/policies/decentralized-guardian/apis/rejects-policy-asynchronously.md).

# Rejects policy Asynchronously

## Rejects the request to import a remote policy.

> Rejects the request to import a remote policy.

```json
{"openapi":"3.0.0","info":{"title":"Guardian","version":"3.1.1"},"servers":[{"url":"/api/v1","description":"version 1.0"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TaskDTO":{"type":"object","properties":{"taskId":{"type":"string","description":"Task Id"},"expectation":{"type":"number","description":"Expected count of task phases"}},"required":["taskId","expectation"]},"InternalServerErrorDTO":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/external-policies/push/{messageId}/reject":{"post":{"description":"Rejects the request to import a remote policy.","operationId":"ExternalPoliciesApi_rejectExternalPolicyAsync","parameters":[{"name":"messageId","required":true,"in":"path","description":"Policy message id","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDTO"}}}},"401":{"description":"Unauthorized."},"403":{"description":"Forbidden."},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerErrorDTO"}}}}},"summary":"Rejects the request to import a remote policy.","tags":["external-policies"]}}}}
```
